# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 0.5.0 - 2020-12-10

### Changed

 - New matrix is an identity matrix.

## 0.4.0 - 2020-09-21

### Changed

 - APIs taking path offset as input now also take path length

### Added

 - Getter for path length
 - path update interfaces to avoid creating instances when unecessary

## 0.3.0 - Unreleased

### Added

 - Supports for vg_lite_draw_grad (gradients in a vector path)
 - Supports offset for path data

## 0.1.0 - Unreleased

### Added

- First version of the library
- Supports for vg_lite_draw_path (vector path with a single color)

---  
_Copyright 2020 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  

