/*
 * C
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

#ifndef __FTVGLITE_H__
# define __FTVGLITE_H__

#include "vg_lite.h"

#define FT_PARAM_TAG_VGLITE_BUFFER_ADDR     FT_MAKE_TAG( 'b', 'u', 'f', 'f' )
#define FT_PARAM_TAG_VGLITE_MATRIX          FT_MAKE_TAG( 'm', 'a', 't', 'r' )
#define FT_PARAM_TAG_VGLITE_QUALITY         FT_MAKE_TAG( 'q', 'u', 'a', 'l' )
#define FT_PARAM_TAG_VGLITE_FORMAT          FT_MAKE_TAG( 'f', 'o', 'r', 'm' )
#define FT_PARAM_TAG_VGLITE_FILL_RULE       FT_MAKE_TAG( 'f', 'i', 'l', 'l' )
#define FT_PARAM_TAG_VGLITE_BLEND           FT_MAKE_TAG( 'b', 'l', 'e', 'n' )
#define FT_PARAM_TAG_VGLITE_COLOR           FT_MAKE_TAG( 'c', 'o', 'l', 'o' )
#define FT_PARAM_TAG_VGLITE_GRADIENT        FT_MAKE_TAG( 'g', 'r', 'a', 'd' )

#define FT_VGLITE_PATH_POOL_CHUNK       0x100
#endif // __FTVGLITE_H__
