/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.jsgenerator;

import jdk.nashorn.internal.ir.Node;

/**
 * This exception is thrown when a JavaScript construct is not supported by this
 * generator
 */
@SuppressWarnings("serial")
public class UnsupportedJavaScriptSyntax extends RuntimeException {

	private final Node node;

	/**
	 * @param node
	 */
	public UnsupportedJavaScriptSyntax(Node node) {
		this.node = node;
	}

}
