package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;

public class UnaryExpression extends Expression implements Operators {
	
	public int operator;		// not null 
	public Expression operand;	// not null
	
	public UnaryExpression( int operator, Expression operand) {
		this.operand = operand;
		this.operator = operator;
	}

	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateUnaryExpression( this);
		
	}
	
	

}
