/*
 * Java
 *
 * Copyright 2018 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.support.security.mac;

import com.is2t.support.security.NativeResource;



public class NativeMacResource extends NativeResource {

	private final int nativeAlgorithmId;

	public NativeMacResource(NativeMacSpi macSpi, int nativeAlgorithmId, int nativeId) {
		super(macSpi, nativeId);
		this.nativeAlgorithmId = nativeAlgorithmId;

	}

	@Override
	protected synchronized void closeNativeResource(int nativeId) {
		NativeMacSpi.nativeClose(nativeAlgorithmId, nativeId);

	}

}
