# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 0.7.0 - 2020-12-10

### Added

- Add SVG image representation.
- Add different paths representation: with color or gradient filling.

## 0.6.1 - 2020-10-29

### Changed

- Remove useless method in PathBufferBase (and subclasses).

## 0.6.0 - 2020-10-12

### Changed

- Redesign tool to remove Boxing mechanism: improve performances.

## 0.5.0 - Unreleased

### Added

- Support for formats S8 S32 and FP32
- Offset feature applied to all absolute coordinates

## 0.4.0 - Unreleased

### Changed

 - Update vglite foundation library dependency to v0.4.0

## 0.3.0 - Unreleased

### Added

 - Path generation for S8 and S16 formats

---  
_Copyright 2020 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  
 
