/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.binary;

import java.io.ByteArrayOutputStream;

/**
 * A {@link ByteArrayOutputStream} from which we can get the current position
 */
public class WatchableByteArrayOutputStream extends ByteArrayOutputStream {

	/** Returns the current position in the array. */
	public int getPosition() {
		return count;
	}
}
