/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.model.exception;

/**
 * Thrown to indicate that an element is misplaced.
 */
public class GIMLMisplacedElementException extends GIMLModelException {

	private static final long serialVersionUID = 3877680030351423296L;

	/**
	 * Constructs a {@code GIMLMisplacedElementException} with the specified detail message.
	 *
	 * @param message
	 *            the detail message.
	 */
	public GIMLMisplacedElementException(String message) {
		super(message);
	}

	/**
	 * Constructs a new exception with the specified detail message and cause.
	 *
	 * @param message
	 *            the detail message
	 * @param cause
	 *            the cause
	 */
	public GIMLMisplacedElementException(String message, Throwable cause) {
		super(message, cause);
	}
}
