/**
 * Java
 *
 * Copyright 2011 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.icetea.nodes;

import com.is2t.icetea.IceteaSourceGenerator;
import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.Statement;

public class AssertStatement extends Statement {

	public Expression condition;

	public AssertStatement(Expression condition){
		this.condition = condition;		
	}
	
	@Override
	public void generateUsing(JavaSourceGenerator gen) {
		((IceteaSourceGenerator)gen).generateAssertStatement(this);
	}

}
