package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

public class LocalDeclaration extends AbstractVariableDeclaration {

	public LocalDeclaration(TypeReference type, char[] name, Modifiers modifier) {
		super(modifier, type, name);
	}
	
	public LocalDeclaration(TypeReference type, char[] name, Modifiers modifier, Expression initExp){
		super(modifier, type, name, initExp);
	}

	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateLocalDeclaration(this);
	}

	
	public void setFinal(){
		// the only modifier that can be set to a LocalDeclaration
		modifiers = new Modifiers(Modifiers.AccFinal);
	}
	
}
