package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;

/**
 * literal which value is a keyword 
 * (true, false, null ...)
 * 
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class NullLiteral extends Literal {
		
	public static final char[] NULL= new char[] { 'n','u','l','l' };

	public NullLiteral() {
	}
	
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateNullLiteral(this);
	}
	
	public char[] getValue() {
		return NULL;
	}
	
}
