/*
 * Java
 *
 * Copyright 2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.linker.map.event;

import java.io.File;

import com.is2t.linker.map.IMapFileInterpretor2;

public class MappingScriptExecuted extends CommandEvent {

	private final File script;

	public MappingScriptExecuted(IMapFileInterpretor2 source, File script) {
		super(source);
		this.script = script;
	}

	public File getMappingScript() {
		return script;
	}
}
